datacache <- new.env(hash=TRUE, parent=emptyenv())

rnu34 <- function() showQCData("rnu34", datacache)
rnu34_dbconn <- function() dbconn(datacache)
rnu34_dbfile <- function() dbfile(datacache)
rnu34_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rnu34_dbInfo <- function() dbInfo(datacache)

rnu34ORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rnu34.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RATCHIP_DB("rnu34", "chip rnu34", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rnu34_dbconn())
}

